Skip to main content
POST
Simulate webhook event

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Body

application/json

Simulates a mock webhook event.

event_type
string
required

The event name. Specify one of the subscribed events. For each request, provide only one event.

Maximum string length: 50
Pattern: ^[a-zA-Z0-9.]+$
webhook_id
string

The ID of the webhook. If omitted, the URL is required.

Maximum string length: 50
Pattern: ^[a-zA-Z0-9]+$
url
string<uri>

The URL for the webhook endpoint. If omitted, the webhook ID is required.

Maximum string length: 2048
resource_version
string

The identifier for event type ex: 1.0/2.0 etc.

Response

A successful request returns the HTTP 202 Accepted status code and a JSON response body that shows details for the mock event.

A webhook event notification.

id
string
read-only

The ID of the webhook event notification.

create_time
string<date-time>
read-only

The date and time when the webhook event notification was created, in Internet date and time format.

resource_type
string
read-only

The name of the resource related to the webhook notification event.

event_version
string
deprecated

The event version in the webhook notification.

Pattern: ^([0-9]+.[0-9]+)$
event_type
string
read-only

The event that triggered the webhook event notification.

summary
string
read-only

A summary description for the event notification.

resource_version
string

The resource version in the webhook notification.

Pattern: ^([0-9]+.[0-9]+)$
resource
Resource · object
read-only

The resource that triggered the webhook event notification.

An array of request-related HATEOAS links.